- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_header.h File Reference

axiom_soap_header struct More...

`#include <axutil_env.h>`
`#include <axiom_node.h>`
`#include <axiom_element.h>`
`#include <axutil_array_list.h>`
`#include <axiom_children_qname_iterator.h>`
`#include <axiom_children_with_specific_attribute_iterator.h>`
`#include <axutil_hash.h>`
`#include <axiom_soap_envelope.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_header | axiom_soap_header_t
## Functions
AXIS2_EXTERN axiom_soap_header_t * | axiom_soap_header_create_with_parent (const axutil_env_t *env, struct axiom_soap_envelope *envelope)
AXIS2_EXTERN void | axiom_soap_header_free (axiom_soap_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_header_block * | axiom_soap_header_add_header_block (axiom_soap_header_t *header, const axutil_env_t *env, const axis2_char_t *localname, axiom_namespace_t *ns)
AXIS2_EXTERN axutil_hash_t * | axiom_soap_header_examine_header_blocks (axiom_soap_header_t *header, const axutil_env_t *env, axis2_char_t *param_role)
AXIS2_EXTERN axutil_array_list_t * | axiom_soap_header_get_header_blocks_with_namespace_uri (axiom_soap_header_t *header, const axutil_env_t *env, const axis2_char_t *ns_uri)
AXIS2_EXTERN axiom_children_qname_iterator_t * | axiom_soap_header_examine_all_header_blocks (axiom_soap_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axiom_children_with_specific_attribute_iterator_t * | axiom_soap_header_extract_header_blocks (axiom_soap_header_t *header, const axutil_env_t *env, axis2_char_t *role)
AXIS2_EXTERN axiom_node_t * | axiom_soap_header_get_base_node (axiom_soap_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_soap_header_get_soap_version (axiom_soap_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axiom_soap_header_get_all_header_blocks (axiom_soap_header_t *header, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_header_remove_header_block (axiom_soap_header_t *header, const axutil_env_t *env, axutil_qname_t *qname)

## Detailed Description

axiom_soap_header struct